// index.js
// 获取应用实例
const app = getApp()

Page({
  data: {
    openid: '',
    posturl: '',
    opentime: '',
    videoURL1:'',
    videoURL2:'',
    showLoading:true,

  },
  updateApp:function(){
    console.log("检测更新")
    const updateManager = wx.getUpdateManager()
    updateManager.onCheckForUpdate(function (res) {
      // 请求完新版本信息的回调
      if (res.hasUpdate) {
        wx.showLoading({
          title:'更新下载中...',
        })
      }
    })
    updateManager.onUpdateReady(function () {
      wx.hideLoading();
      wx.showModal({
        title:'更新提示',
        content:'新版本已经准备好，是否重启应用？',
        success:function (res) {
          if (res.confirm) {
            // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
            updateManager.applyUpdate()
          }
        }
      })
 
    })
    updateManager.onUpdateFailed(function () {
      // 新的版本下载失败
      wx.hideLoading();
      wx.showToast({ title:'下载失败...', icon:"none" });
    })
  },
  //显示 加载中页面
  showLoading:function(){
    this.setData({
       showLoading:true
    })
 },
 //取消显示 加载中页面
 cancelLoading:function(){
  this.setData({
      showLoading:false
})
},
//页面跳转
jumppage:function(){
  var that = this
  wx.redirectTo({
    // url: '/pages/lock/lock?openid=' + that.data.openid + '&posturl=' + that.data.posturl + '&opentime=' + that.data.opentime + '&videoURL1=' + encodeURIComponent(that.data.videoURL1)  + '&videoURL2=' + encodeURIComponent(that.data.videoURL2)  //传递URL需要转一下码
    url: '/pages/lock/lock?openid=' + that.data.openid  //传递URL需要转一下码
  })
},
  // 事件处理函数
  bindViewTap() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  networkcheck: function () {
    var stru = false
    wx.getNetworkType({
      success: function (res) {
        // networkType字段的有效值：
        // wifi/2g/3g/4g/unknown(Android下不常见的网络类型)/none(无网络)
        if (res.networkType == 'wifi') {
          //console.log("wifi")
          stru = true
        } else {
          wx.showToast({
            title: '仅 WIFI 下可用',
            icon: 'error', //如果要纯文本，不要icon，将值设为'none'
            duration: 2000
          })
          stru = false
        }
      }
    })
    return stru;
  },
  onHide()
  {
    
    console.log("index onHide")
  },
  onLoad() {
    
    this.updateApp()
    var that =this
    await this.getOpenid()
    this.networkcheck() 
    console.log(this.data) 
    setTimeout(function () {
    if (that.data.openid != '') {
      console.log("加载完成")
      that.cancelLoading()
      that.jumppage()
    }
  },1500)
  },
  onShow() {
    console.log(this.data.videoshow)
  },
  // 定义调用云函数获取openid
  getOpenid() {
    let page = this;
    wx.cloud.callFunction({
      name: 'openid',
      complete: res => {
        // console.log('openid--', res.result.openid)
        // console.log('opentime--', res.result.opentime)
        var openid = res.result.openid
        var yunurl = res.result.posturl
        var yuntime = res.result.opentime
        var url1 = res.result.videoURL1
        var url2 = res.result.videoURL2
        page.setData({
          openid: openid,
          shareshow: true,
          posturl: yunurl,
          opentime: yuntime,
          videoURL1:url1,
          videoURL2:url2,
          videoshow : true
          
        })
      }
    })
  }, 
})